Before installing and configuring the SPS SAP Recovery Kit, be sure that your configuration meets the following requirements:

  • Shared Storage. SAP Primary Application Server (PAS) Instance, ABAP SAP Central Service (ASCS) Instance, SAP Central Services (SCS) Instance and program files must reside on shared disk(s) in an SPS environment.
  • IP Network Interface. Each server requires at least one Ethernet TCP/IP-supported network interface. In order for IP switchover to work properly, user systems connected to the local network should conform to standard TCP/IP specifications.

Note: Even though each server requires only a single network interface, multiple interfaces should be used for a number of reasons: heterogeneous media requirements, throughput requirements, elimination of single points of failure, network segmentation and so forth. (See IP Local Recovery and Configuration Considerations for additional information.)

  • Operating System. Linux operating system. (See the SPS for Linux Release Notes for a list of supported distributions and kernel versions.)
  • TCP/IP software. Each server requires the TCP/IP software.
  • SAP Software. Each server must have the SAP software installed and configured before configuring SPS and the SPS SAP Recovery Kit. The same version should be installed on each server. Consult the SPS for Linux Release Notes or your sales representative for the latest release compatibility and ordering information.
  • SPS software. You must install the same version of SPS software and any patches on each server. Please refer to the SPS for Linux Release Notes for specific LifeKeeper requirements.
  • SPS IP Recovery Kit. This recovery kit is required if remote clients will be accessing the SAP PAS, ASCS or SCS instance. You must use the same version of this recovery kit on each server.
  • SPS for Linux NFS Server Recovery Kit. This recovery kit is required for most configurations. You must use the same version of this recovery kit on each server.
  • SPS for Linux Network Attached Storage (NAS) Recovery Kit. This recovery kit is required for some configurations. You must use the same version of this recovery kit on each server.
  • SPS for Linux Database Recovery Kit. The SPS recovery kit for the database being used with SAP must be installed on each database server. Please refer to the SPS for Linux Release Notes for information on supported databases. A LifeKeeper database hierarchy must be created for the SAP PAS, ASCS or SCS Instance prior to configuring SAP.

Important Notes:

  • If running an SAP version prior to Version 7.3, please consult your SAP documentation and notes on how to download and install SAPHOSTAGENT (see Important Note in the Plan Your Configuration topic).
  • The installation steps should be performed in the order recommended. The SAP installation will fail if LifeKeeper is installed first.
  • For details on configuring each of the required SPS Recovery Kits, you should refer to the documentation for each kit (IP, NFS Server, NAS, and Database Recovery Kits).
  • Please refer to SAP installation documentation for further installation requirements, such as swap space and memory requirements.

Feedback

Thanks for your feedback.

Post your comment on this topic.

Post Comment